PUT api/v1/RecommendationItems/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

RecommendationItem
NameDescriptionTypeAdditional information
Id

integer

None.

Type

byte

None.

Title

string

None.

Subtitle

string

None.

Description

string

None.

BadgeLeft

string

None.

BadgeRight

string

None.

ImageUrl

string

None.

ContentUrl

string

None.

MinAgeMonths

integer

None.

MaxAgeMonths

integer

None.

IsActive

boolean

None.

IsDeleted

boolean

None.

CreatedAt

date

None.

UpdatedAt

date

None.

RecommendationTag

Collection of RecommendationTag

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "type": 64,
  "title": "sample string 3",
  "subtitle": "sample string 4",
  "description": "sample string 5",
  "badgeLeft": "sample string 6",
  "badgeRight": "sample string 7",
  "imageUrl": "sample string 8",
  "contentUrl": "sample string 9",
  "minAgeMonths": 10,
  "maxAgeMonths": 1,
  "isActive": true,
  "isDeleted": true,
  "createdAt": "2026-04-18T15:05:26.1015335+03:00",
  "updatedAt": "2026-04-18T15:05:26.1015335+03:00",
  "recommendationTag": [
    {
      "id": 1,
      "name": "sample string 2",
      "slug": "sample string 3",
      "category": 64,
      "isActive": true,
      "isDeleted": true,
      "createdAt": "2026-04-18T15:05:26.1015335+03:00",
      "updatedAt": "2026-04-18T15:05:26.1015335+03:00",
      "recommendationItem": []
    },
    {
      "id": 1,
      "name": "sample string 2",
      "slug": "sample string 3",
      "category": 64,
      "isActive": true,
      "isDeleted": true,
      "createdAt": "2026-04-18T15:05:26.1015335+03:00",
      "updatedAt": "2026-04-18T15:05:26.1015335+03:00",
      "recommendationItem": []
    }
  ]
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.